Index: my-react-app/src/App.js
===================================================================
--- my-react-app/src/App.js	(revision 303f51d28e3d4e22aa41fdc2d65d5a5b43bff676)
+++ my-react-app/src/App.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
@@ -15,4 +15,5 @@
 import RestaurantInfo from "./components/RestaurantInfo";
 import LoginForm from "./components/Login";
+import AppContent from "./components/AppContent";
 
 const App = () => {
@@ -34,4 +35,5 @@
                     <Route path="/error" element={<ErrorPage/>}/>
                 </Routes>
+                <AppContent/>
             </Layout>
         </Router>
@@ -311,4 +313,3 @@
 }
 
-
 export default App;
Index: my-react-app/src/axios_helper.js
===================================================================
--- my-react-app/src/axios_helper.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
+++ my-react-app/src/axios_helper.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
@@ -0,0 +1,12 @@
+import axios from "axios";
+import data from "bootstrap/js/src/dom/data";
+axios.defaults.baseURL = 'http://localhost:8080'
+axios.defaults.headers.post["Content-Type"] = 'application/json'
+
+export const request = (method, url, data) => {
+    return axios({
+        method: method,
+        url: url,
+        data: data
+    })
+}
Index: my-react-app/src/components/AppContent.js
===================================================================
--- my-react-app/src/components/AppContent.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
+++ my-react-app/src/components/AppContent.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
@@ -0,0 +1,14 @@
+import * as React from "react";
+import WelcomeContent from "./WelcomeContent";
+import AuthContent from "./AuthContent";
+
+export default class AppContent extends React.Component {
+    render() {
+        return (
+            <div>
+                <WelcomeContent/>
+                <AuthContent/>
+            </div>
+        )
+    }
+}
Index: my-react-app/src/components/AppContext.js
===================================================================
--- my-react-app/src/components/AppContext.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
+++ my-react-app/src/components/AppContext.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
@@ -0,0 +1,11 @@
+import * as React from "react";
+import WelcomeContent from './WelcomeContent'
+export default class AppContext extends React.Component {
+    render() {
+        return (
+            <div>
+                <WelcomeContent/>
+            </div>
+        )
+    }
+}
Index: my-react-app/src/components/AuthContent.js
===================================================================
--- my-react-app/src/components/AuthContent.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
+++ my-react-app/src/components/AuthContent.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
@@ -0,0 +1,36 @@
+import * as React from 'react';
+import { request } from "../axios_helper";
+
+export default class AuthContent extends React.Component {
+    constructor(props) {
+        super(props);
+        this.state = {
+            data: []
+        };
+    }
+
+    componentDidMount() {
+        request(
+            "GET",
+            "/api/restaurants",
+            []
+        ).then((response) => {
+            this.setState({ data: response.data });
+        });
+    }
+
+    render() {
+        return (
+            <div>
+                {this.state.data && this.state.data.map((restaurant) => (
+                    <div key={restaurant.restaurantId}>
+                        <p>Name: {restaurant.name}</p>
+                        <p>Cuisine Type: {restaurant.cuisineType}</p>
+                        <p>Address: {restaurant.address}</p>
+                        {/* Render other properties as needed */}
+                    </div>
+                ))}
+            </div>
+        );
+    }
+}
Index: my-react-app/src/components/Login.js
===================================================================
--- my-react-app/src/components/Login.js	(revision 303f51d28e3d4e22aa41fdc2d65d5a5b43bff676)
+++ my-react-app/src/components/Login.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
@@ -1,3 +1,2 @@
-// Login.js
 import React, { useState } from 'react';
 import axios from 'axios';
Index: my-react-app/src/components/WelcomeContent.js
===================================================================
--- my-react-app/src/components/WelcomeContent.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
+++ my-react-app/src/components/WelcomeContent.js	(revision a2c6c2b23c1991c83def7a1876e03123c530e644)
@@ -0,0 +1,12 @@
+import * as React from "react";
+
+export default class WelcomeContent extends React.Component {
+    render() {
+        return (
+            <div>
+                <h1>Welcome</h1>
+                <p>Login to see</p>
+            </div>
+        )
+    }
+}
